unordered_map.h File Reference

Go to the source code of this file.

## Classes

class | std::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >
class | std::unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc >

## Namespaces

namespace | std

## Typedefs

template<typename _Key , typename _Tp , typename _Hash = hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >, typename _Tr = __umap_traits<__cache_default<_Key, _Hash>::value>>
using | std::__umap_hashtable = _Hashtable< _Key, std::pair< const _Key, _Tp >, _Alloc, __detail::_Select1st, _Pred, _Hash, __detail::_Mod_range_hashing, __detail::_Default_ranged_hash, __detail::_Prime_rehash_policy, _Tr >
template<bool _Cache>
using | std::__umap_traits = __detail::_Hashtable_traits< _Cache, false, true >
template<typename _Key , typename _Tp , typename _Hash = hash<_Key>, typename _Pred = std::equal_to<_Key>, typename _Alloc = std::allocator<std::pair<const _Key, _Tp> >, typename _Tr = __ummap_traits<__cache_default<_Key, _Hash>::value>>
using | std::__ummap_hashtable = _Hashtable< _Key, std::pair< const _Key, _Tp >, _Alloc, __detail::_Select1st, _Pred, _Hash, __detail::_Mod_range_hashing, __detail::_Default_ranged_hash, __detail::_Prime_rehash_policy, _Tr >
template<bool _Cache>
using | std::__ummap_traits = __detail::_Hashtable_traits< _Cache, false, false >

## Functions

template<class _Key , class _Tp , class _Hash , class _Pred , class _Alloc >
bool | std::operator!= (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<class _Key , class _Tp , class _Hash , class _Pred , class _Alloc >
bool | std::operator!= (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<class _Key , class _Tp , class _Hash , class _Pred , class _Alloc >
bool | std::operator== (const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<class _Key , class _Tp , class _Hash , class _Pred , class _Alloc >
bool | std::operator== (const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, const unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<class _Key , class _Tp , class _Hash , class _Pred , class _Alloc >
void | std::swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
template<class _Key , class _Tp , class _Hash , class _Pred , class _Alloc >
void | std::swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <unordered_map>.

Definition in file unordered_map.h.